Bug 1324095 - TurboGears2: Provide a Python 3 subpackage [NEEDINFO]
Summary: TurboGears2: Provide a Python 3 subpackage
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: TurboGears2
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luke Macken
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PYTHON3 1395149
TreeView+ depends on / blocked
 
Reported: 2016-04-05 13:54 UTC by Tomas Orsava
Modified: 2018-05-09 14:17 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-05-09 11:45:55 UTC
pfrields: needinfo? (lewk)


Attachments (Terms of Use)
0001-using-python3.patch (4.83 KB, patch)
2016-07-16 11:42 UTC, dima
no flags Details | Diff

Description Tomas Orsava 2016-04-05 13:54:48 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Petr Viktorin 2016-04-26 16:05:05 UTC
Hello Luke,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/en/latest/index.html

Comment 2 dima 2016-07-16 11:42 UTC
Created attachment 1180402 [details]
0001-using-python3.patch

hello
it is patch for using python3 for turbogear2

Comment 3 Jan Kurik 2016-07-26 04:35:58 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 4 Lumír Balhar 2016-08-02 12:49:24 UTC
Hello.

Patch looks good to me, but you forgot to add changelog for your changes and also this patch need to be rebased.

Have a nice day.

Comment 5 Lumír Balhar 2016-08-02 12:50:23 UTC
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=15101150

Comment 6 Lumír Balhar 2016-08-23 08:20:26 UTC
Hello.

Is there any problem with rebase? Do not hesitate to contact me for any help.

Comment 7 Dominika Krejčí 2016-09-07 09:16:03 UTC
Hi,
the patch is not working, python-toscawidgets, which is required, is not ported to Python 3.

Comment 9 Charalampos Stratakis 2016-11-23 15:19:32 UTC
Since this package is a dependency for fedora-python [0] which is part of fedora infrastructure I would suggest to consult with fedora-infra first before changing this package entirely to python3.


[0] https://github.com/fedora-infra/python-fedora

Comment 10 Lumír Balhar 2017-10-30 07:23:33 UTC
Hello.

If there is anybody who can give me commit rights, please do it and I'll take care of this bug/package.

Thank you.

Comment 11 Fedora End Of Life 2017-11-16 19:18:04 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 12 Charalampos Stratakis 2017-11-20 17:05:08 UTC
Still valid.

Comment 13 Lumír Balhar 2018-01-30 10:08:17 UTC
Specfile PR: https://src.fedoraproject.org/rpms/TurboGears2/pull-request/2

Comment 14 Fedora End Of Life 2018-02-20 15:32:46 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 15 Lumír Balhar 2018-05-09 11:45:55 UTC
Fixed by a merge of PR mentioned in comment 13.


Note You need to log in before you can comment on or make changes to this bug.